# Leave a note on a page or on one block, or reply to a note

`POST /hosting/sites/{id}/pages/{page}/comments` · Rivier · hosting

Leave a note on a page or on one block, or reply to a note.

- Scope: hosting:write
- Mcp: rivier_site_comment_add
- Graphql: Mutation.hostingSitePageComment
- Sdk: hosting.sitePage.comment
- Cli: hosting site page comment

## Parameters

- `id` (path, required), string
- `page` (path, required), string

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "text": {
      "type": "string",
      "minLength": 1,
      "maxLength": 2000
    },
    "blockId": {
      "anyOf": [
        {
          "type": "string",
          "maxLength": 40
        },
        {
          "type": "null"
        }
      ]
    },
    "replyTo": {
      "anyOf": [
        {
          "type": "string",
          "format": "uuid"
        },
        {
          "type": "null"
        }
      ]
    }
  },
  "required": [
    "text"
  ],
  "additionalProperties": false
}
```

## Responses

- `201`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/hosting/sites/{id}/pages/{page}/comments' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "text": "string"
}'
```
